//
//  SVWindowController.m
//  SplitViewTest1
//
//  Created by narita on 2014/01/11.
//  Copyright (c) 2014年 narita. All rights reserved.
//

#import "SVWindowController.h"

@interface SVWindowController ()

@end

@implementation SVWindowController

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

- (id)initWithWindow:(NSWindow *)window
{
    self = [super initWithWindow:window];
    
    if( self )
    {
        // Initialization code here.
    }
    
    return self;
}

#pragma mark -
#pragma mark dealloc

- (void)dealloc
{
    
}

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

- (void)windowDidLoad
{
    [super windowDidLoad];
    
}

#pragma mark -
#pragma mark action & canAction methods

#pragma mark -
#pragma mark delegate/datasource methods

- (void)splitViewDidResizeSubviews:(NSNotification *)notification
{
    NSSplitView* theCurrentSplitView = (NSSplitView *)notification.object;
    NSView*      theParentView       = [theCurrentSplitView superview];
    NSArray*     theParentSubviews   = [theParentView subviews];
    
    NSArray* theSrcArray;
    theSrcArray = theCurrentSplitView.subviews;
    
    for(NSView* theDstSplitView in theParentSubviews)
    {
        if( theDstSplitView != theCurrentSplitView && [theDstSplitView isKindOfClass:[NSSplitView class]] )
        {
            NSArray* theDstArray;
            
            theDstArray = theDstSplitView.subviews;
            
            if( theSrcArray.count == theDstArray.count )
            {
                NSInteger theCount = theDstArray.count;
                
                for(NSInteger i = 0; i < theCount; i++)
                {
                    ((NSView*)theDstArray[i]).frame = ((NSView*)theSrcArray[i]).frame;
                }
            }
        }
    }
}

#pragma mark -
#pragma mark accessor methods (in pairs)

// クラス名と同じnibファイルを読み込む

- (NSString *)windowNibName
{
    NSString* theSuperWindowNibName = [super windowNibName];
    
    if(theSuperWindowNibName != nil && ![theSuperWindowNibName isEqualToString:@""])
    {
        return theSuperWindowNibName;
    }
    else
    {
        NSString* theClassName = NSStringFromClass([self class]);
        
        return theClassName;
    }
}

#pragma mark -
#pragma mark Utility methods

@end
